#ifndef __INC_POS_PUTIL_PREFS_H
#define __INC_POS_PUTIL_PREFS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>Prefs.h<<   19 Dec 1996    15:32:55 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif
#ifndef __INC_POS_PDOS_DOSTYPES_H
#include <pDOS/DosTypes.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_PrefsHandler
{
  struct pOS_ExNode     prfh_Node;
  UWORD                 prfh_Type;        /* (enum pOS_PrefsHandlerType)  */
  ULONG                 prfh_Flags;       /* (enum pOS_PrefsHandlerFlags) */
  struct pOS_IntuiUnit *prfh_Unit;
  ULONG                 prfh_UserData[2];

  BOOL (*prfh_Func)(_R_A0 struct pOS_PrefsHandler*,_R_A1 const struct pOS_TagItem*);

  UBYTE prfh_Reserved1[16];

  union {
    UBYTE prfh_Reserved2[64];

    struct { /** PRFHDTYP_RawFile **/
      const dosname_t *prfhrf_FileName;
      const CHAR      *prfhrf_Template;
    } prfh_RF;

  } prfh_U;

};






enum pOS_PrefsHandlerType /** prfh_Type **/
{
  PRFHDTYP_RFile = 1, /* ReadArgs-File */

};

enum pOS_PrefsHandlerFlags /** prfh_Flags **/
{
  PRFHDF_Touch = 0x0001, /* wurde verndert */
  PRFHDF_ROM   = 0x0002, /* private */

};




#endif
